# MLLogic_Vault | opentoken
Documentation for opentoken

Namespace containing the code for the Vault CLI Command.

## Index

### Functions

- getCodes
- open
- printAsJSON
- revokeToken

## Functions

### getCodes

- getCodes(dataSafe: SecureVault, _format: string): void

- - Defined in src/logic/VaultLogic.ts:96

  #### Parameters

  - ##### dataSafe: SecureVault

  - ##### _format: string

  #### Returns void

### open

- open(_filter?: string, _pubkey?: string, _privkey?: string, _safe?: string, _getCodes: boolean, _format?: string, _revoke: string | undefined): Promise<void>

- - Defined in src/logic/VaultLogic.ts:29

  #### Parameters

  - ##### Default value _filter: string = ""

  - ##### Default value _pubkey: string = ""

  - ##### Default value _privkey: string = ""

  - ##### Default value _safe: string = ""

  - ##### _getCodes: boolean

  - ##### Default value _format: string = ""

  - ##### _revoke: string | undefined

  #### Returns Promise<void>

### printAsJSON

- printAsJSON(_filter: string, dataSafe: SecureVault, vault: SecureVaultItem []): void

- - Defined in src/logic/VaultLogic.ts:51

  #### Parameters

  - ##### _filter: string

  - ##### dataSafe: SecureVault

  - ##### vault: SecureVaultItem []

  #### Returns void

### revokeToken

- revokeToken(dataSafe: SecureVault, _revoke: string, _safe: string): void

- - Defined in src/logic/VaultLogic.ts:69

  #### Parameters

  - ##### dataSafe: SecureVault

  - ##### _revoke: string

  - ##### _safe: string

  #### Returns void

Generated using TypeDoc